1. BHBandit's Avatar
    Sent from my DNA using Tapatalk 2
    03-02-2013 12:16 PM
  2. Lanhoj's Avatar
    Ya your device needs to be supported by the Dev of the App you're trying to download. If you get that message, it isn't.
    Simple as that.
    BHBandit likes this.
    03-02-2013 12:26 PM
  3. BHBandit's Avatar
    Yeah I was afraid of that. Just seems weird, new phone new app. You would think that they would work. Thanks

    Sent from my HTC6435LVW using Android Central Forums
    03-02-2013 12:35 PM

Similar Threads

  1. Your device isn't compatible with this version
    By RobinCris in forum General Help and How To
    Replies: 42
    Last Post: 10-24-2017, 04:06 AM
  2. Any way to fix "your device isn't compatible with this version"?
    By jimmiegeddes in forum Verizon Galaxy Nexus
    Replies: 5
    Last Post: 08-25-2017, 09:15 AM
  3. Now Getting "your device isn't compatible with this version"
    By gaznjax in forum Google Nexus 7 Tablet (2012)
    Replies: 4
    Last Post: 11-27-2012, 06:40 AM
  4. Is anyone else noticing "device is not compatible with this item"
    By f75gunslinger in forum Verizon Fascinate
    Replies: 9
    Last Post: 01-23-2012, 02:43 PM
  5. Your device is not compatible with this item!
    By Adibidah in forum Barnes & Noble Nook Color
    Replies: 8
    Last Post: 10-01-2011, 11:08 AM
LINK TO POST COPIED TO CLIPBOARD